---
title: 'waterlooregionvotes.org'
subtitle: The Sermon and the Sausage
author: 'Paul "Failure" Nijjar'
date: 2022-10-03
theme: Beige
width: 1400
colorlinks: true
linkcolor: blue
urlcolor: blue
---

# The Sermon

## Personas

A **persona** is a fictional composite of a "typical" user. 

A persona
can help us understand what problems a website needs to solve, and
what workflow is best to organize information.

Let's use a fictional composite persona!

## Meet Andrew

. . .

- Lives in Kitchener
- Has a house and a family
- Wants to be a good citizen
- Not a political nerd

## Voting Provincially

There was a provincial election on June 2, 2022.

In Andrew's electoral district (Kitchener Centre) he had to vote for
**one** MPP out of 5 candidates (all of whom ran for political parties).

. . . 

1 MPP, 5 candidates, 5 parties

## Proxies

In principle, Andrew is voting for an MPP (an individual).

::: incremental

- but he might actually vote based on a political leader

- but he might actually vote based on a policy

- but he might actually vote based on political party

:::

. . . 

Even those these proxies are technically incorrect, they work okay
in practice.


## Information

Lots of news media (locally and in Toronto) covers the election. Some
issues are local but many are province-wide.

. . . 

Andrew can discuss politics with people all over Ontario.

. . . 

Political parties bombard him with centralized messaging. 

. . . 

Maybe candidates canvass him at home.

. . .

Special interest groups have surveys and debates (which are sometimes
in obscure places).


## How tough is it to vote provincially?

. . . 

**Low cognitive burden**

. . .

**Lots of information**


## Municipal Voting

There is a municipal election on Oct 24, 2022.

Living in Kitchener Ward 9, Andrew can vote for:

::: incremental

- 1 Regional Chair (3 candidates)
- 4 Regional Council members for Kitchener (14 candidates)
- 1 Kitchener Mayor (5 candidates)
- 1 Kitchener Ward 9 Councillor (6 candidates)
- 4 School Board Trustees* (17 candidates)

:::

. . . 


*Assuming Andrew is registered for the English Public school
system. 

. . .

11 positions to fill, 45 candidates, 0 political parties (officially)




## Information

Lots of news media (locally <s>and in Toronto</s>) covers the election. 
Many (although not all) issues are local.

. . . 

Andrew can discuss politics with people <s>all over Ontario.</s> in
his ward? In his municipality?

. . . 

<s>Political parties bombard him with centralized messaging.</s>

. . . 

Maybe candidates canvass him at home.

. . .

Special interest groups have surveys and debates (which are sometimes
in obscure places).



## More complications

Waterloo Region has a **two-tier** government. There is a regional
council and each of the seven municipalities has a city/township
council. They have different responsibilities.

. . .

There are four different school boards, and Andrew is allowed to vote
in one of them. (Which one?)

. . . 

Unsolicited election signs are not permitted on Regional roads.
(Regional roads?)


## How tough is it to vote municipally?

. . .

**High cognitive burden**

. . .

**Some information is available**

. . .

...but much of it is tough to track down

. . . 

... but some of it is ephemeral

## Sidenote!

. . . 

I personally feel the lack of official political parties is a **feature**, not a bug.

. . .

Two-tier government is complicated but has some advantages.

## Voter Turnout

In Kitchener Centre (provincially):


. . .

2022 Provincial election: 46%

2018 Provincial election: 59%

. . .

In Kitchener overall (municipally):

. . . 

2018 Municipal election: 28%

2014 Municipal election: 29%

2010 Municipal election: 27%

## Who cares?

. . .

Municipal and regional governments are responsible for many services
we care about: roads, police, sewage, transit, zoning...

. . .

There are lots of seats without incumbents! 

. . . 

There are lots of difficult issues: affordability, housing,
infrastructure deficits, development, encampments...

. . . 

Thanks to COVID all levels of government are in dire financial
straits. (And municipalities have weak taxation powers.)



## Municipal sites

. . . 

<https://wrvotes.com> exists. It links to municipal sites and "voting
is exciting!!" videos.

Municipalities have their own election sites.

- 2018: They didn't list candidate websites!

- 2022: Some municipal sites are much better.
They still don't list surveys or all-candidates meetings.

## Voting is hard! How might we help?

# The Sausage

## The Story

<https://civictechwr.org> uses technology to increase civic
engagement. In 2018 they were thinking about the municipal election. 

I had previous interest in municipal elections and got involved.

We built the site in 2018.

We used it for the federal election in 2019 (but that was mostly a
mistake).

We revived the project in 2022.

. . .

"How hard could it be?"


## Site Goals

<https://waterlooregionvotes.org> should:

::: incremental 

- Be easy for Andrew to use and navigate, even if he is not "tech savvy"
- Help him find the ward he belongs to, and the set of
  candidates he is qualified to vote for.
- Help him learn about the candidates via their websites and social media.
- Help him distinguish between candidates.
- Help him understand hot issues and discourse around the election.
- Help him understand how municipal government works.
- Be fast (and work without JavaScript).
- Be cheap, because CivictechWR had little moneys.

:::

## Tour Time

<https://waterlooregionvotes.org>

# The Sausage Factory

----

<img class="" src="./pix/tech-stack-wrv.svg" height="600px"/>


----

<img class="" src="./pix/tech-stack-gh-pages.svg" height="600px"/>

----

<img class="" src="./pix/tech-stack-osm.svg" height="600px"/>

----

<img class="" src="./pix/tech-stack-csv.svg" height="600px"/>

----

<img class="" src="./pix/tech-stack-libreoffice.svg" height="600px"/>

----

<img class="" src="./pix/tech-stack-google-sheets.svg" height="600px"/>

----

<img class="" src="./pix/tech-stack-nextcloud.svg" height="600px"/>


----

<img class="" src="./pix/tech-stack-gcal.svg" height="600px"/>


## Data

How do we populate the site?

. . . 

Machine learning?

. . . 

Internet of Things?

. . . 

Blockchain?

## Lovingly Handcrafted Data

::: incremental
- 2018: Region of Waterloo Open Data
- 2022: Bob Jonkman's
  [Poliblog](https://poliblog.jonkman.ca/Poliblog-Elections/2022-10-24-Municipal-Election/)
- Candidate submissions
- Crowdsourcing ... (you can help here!)
- News sites with RSS feeds
- News sites with Twitter feeds
- Twitter hashtags #wrpoli and #wrvotes

:::

. . . 

It would be lovely to get Facebook, Instagram, TikTok, ... as well

# Conclusions

## Success?

::: incremental

- 2018: about 9000 visitors
- 2022: who knows? (no analytics)
- The official municipal sites [have
  improved](https://www.kitchener.ca/en/council-and-city-administration/find-your-candidates.aspx) (address lookups, website
  links...)
- WRV has received some media coverage.
- Anecdotally some people claim to appreciate the site.
- Anecdotally some people think the site is important enough to send
  harassing messages and cease & desist requests.

:::

## Factors in success

. . .

Good codebase?

. . . 

Useful information?

. . . 

Good usability and aesthetics? 

(Thanks Sharon Kennedy)

. . . 

Marketing campaign! 

(Thanks Hayley Rutherford and Jane Snyder)


## How to Help

We can use helpers! Contact me and I will get you connected with the
group.

- Data entry
- Improving usability
- Hunting down information
- Monitoring Instagram and Facebook
- Making Twitter lists of candidates
- Figuring out GDPR

. . . 

Also: using the site and sharing it with others.

. . . 

Also: voting if you are eligible.


# The End

## Thank Yous

- To CivictechWR for spearheading this project
- To the many volunteers not mentioned in this presentation
- To local media and grassroots organizers generating content for us
  to collect
- To the candidates for participating in democracy
- To you for attending (and maybe participating in democracy?)
- To Microsoft and Google, I guess

## Building this presentation

```
pandoc -t revealjs 2022-10-03-waterlooregionvotes.md -o \
  2022-10-03-waterlooregionvotes.html --standalone -V theme=beige
```

## Image Credits

- Paper Frame: <https://openclipart.org/detail/329631/blank-note>
- Arrow: <https://openclipart.org/detail/290890/collection-of-arrows>
- Alert Symbol:
  <https://openclipart.org/detail/104263/warning-sign>

## Questions and Conversation

- What else do you want to know about municipal elections?
- What else do you want to know about
  <https://waterlooregionvotes.org> ?
- What was unclear?

